{% extends "@Paa/Default/entityFormBase.html.twig" %}

{% block identification %}
{# LG 20200824 old    <div id="fEntityForm_{{ psNomTable }}_IdentifiantEntité" style="display:none;">{{ poEntité.iidUsager }}</div>#}
    <div id="fEntityForm_{{ psNomTable }}_IdentifiantEntité" style="display:none;">{{ ( poEntité.iidUsager is defined) ? poEntité.iidUsager : "" }}</div>
{% endblock %}

{% block formulaire %}
    
<div class="LesChamps card">
    <div class="d-flex justify-content-around flex-wrap">
        {% if poForm.cnom is defined %}
        
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {# Génération du label. #}
                {{ form_label(poForm.cnom, "Nom ", {'label_attr': {'class': ' m-0 mr-3 control-label'}}) }}

                <div class="col-sm-10 col-md-8 col-lg-10 col-xs-12">
                    {{ form_widget(poForm.cnom, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
                </div>
            </div>
        {% endif %}

        {% if poForm.cprenom is defined %}
            <div class="form-group text-right col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {# Génération du label. #}
                {{ form_label(poForm.cprenom, "Prénom ", {'label_attr': {'class': 'control-label m-0 mr-3'}}) }}

                <div class="col-sm-10 col-md-8 col-lg-10 col-xs-12">
                    {{ form_widget(poForm.cprenom, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
                </div>
            </div>
        {% endif %}
    </div>
    <div class="d-flex justify-content-around flex-wrap">
        {% if poForm.cnomcourt is defined %}
            <div class="form-group text-right col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {# Génération du label. #}
                {{ form_label(poForm.cnomcourt, "Nom court ", {'label_attr': {'class': 'control-label m-0 mr-3'}}) }}

                <div class="col-sm-10 col-md-8 col-lg-10 col-xs-12">
                    {{ form_widget(poForm.cnomcourt, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
                </div>
            </div>
        {% endif %}
        
        {% if poForm.cnomjeunefille is defined %}
            <div class="form-group text-right col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {# Génération du label. #}
                {{ form_label(poForm.cnomjeunefille, "Nom jeune fille ", {'label_attr': {'class': ' m-0 mr-3 control-label d-flex align-self-end'}}) }}

                <div class="col-sm-10 col-md-8 col-lg-10 col-xs-12">
                    {{ form_widget(poForm.cnomjeunefille, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
                </div>
            </div>
        {% endif %}
    </div>
    <div class="d-flex justify-content-around flex-wrap">
        
        {% if poForm.ccivilite is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-start justify-content-end">
                {# Génération du label. #}
                {{ form_label(poForm.ccivilite, "Civilité", {'label_attr': {'class': ' m-0 mr-3 control-label'}}) }}

                <div class="col-sm-10 col-md-8 col-lg-10 col-xs-12">
                    {{ form_widget(poForm.ccivilite, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control no-bg'}}) }}
                </div>
            </div>
        {% endif %}
        
        {% if poForm.csexe is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end ">
                {# Génération du label. #}
                {{ form_label(poForm.csexe, "Sexe ", {'label_attr': {'class': 'control-label m-0 mr-3'}}) }}

                <div class="col-sm-10 col-md-8 col-lg-10 col-xs-12">
                    {{ form_widget(poForm.csexe, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
                </div>
            </div>    
        {% endif %}
        
    </div>
        
     <div class="d-flex justify-content-around flex-wrap">
        

        {% if poForm.dnaissance is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {# Génération du label. #}
                {{ form_label(poForm.dnaissance, "Date de Naissance ", {'label_attr': {'class': ' m-0 mr-3 control-label'}}) }}

                <div class="col-sm-10 col-md-8 col-lg-10 col-xs-12">
                    {{ form_widget(poForm.dnaissance, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
                </div>
            </div>
        {% endif %}
    
        {% if poForm.clieunaissance is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {# Génération du label. #}
                {{ form_label(poForm.clieunaissance, "Lieu ", {'label_attr': {'class': ' m-0 mr-3 control-label'}}) }}

                <div class="col-sm-10 col-md-8 col-lg-10 col-xs-12">
                    {{ form_widget(poForm.clieunaissance, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
                </div>
            </div>
        {% endif %}

        
    </div>
        
    <div class="d-flex justify-content-start flex-wrap">
        
        
        {% if poForm.cnationalite is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {# Génération du label. #}
                {{ form_label(poForm.cnationalite, "Nationalité ", {'label_attr': {'class': ' m-0 mr-3 control-label'}}) }}

                <div class="col-sm-10 col-md-8 col-lg-10 col-xs-12">
                    {{ form_widget(poForm.cnationalite, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
                </div>
            </div>
        {% endif %}
        
    </div>

</div>
        
<div class="LesChamps card">        
   
    <div class="d-flex justify-content-around flex-wrap">
        {% if poForm.dentree is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {# Génération du label. #}
                {{ form_label(poForm.dentree, "Date d'entrée ", {'label_attr': {'class': ' m-0 mr-3 control-label'}}) }}

                <div class="col-sm-10 col-md-8 col-lg-10 col-xs-12">
                    {{ form_widget(poForm.dentree, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
                </div>
            </div>
        {% endif %}

        {% if poForm.dsortie is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {# Génération du label. #}
                {{ form_label(poForm.dsortie, "Date de sortie ", {'label_attr': {'class': ' m-0 mr-3 control-label'}}) }}

                <div class="col-sm-10 col-md-8 col-lg-10 col-xs-12">
                    {{ form_widget(poForm.dsortie, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
                </div>
            </div>
        {% endif %}
    </div>
</div>
{#MC 20200914 DEBUT#}
<div class="LesChamps card">
{% if poForm.icouleur is defined %}
        <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
            {# Génération du label. #}
            {{ form_label(poForm.icouleur, "Couleur ", {'label_attr': {'class': ' m-0 mr-3 control-label'}}) }}

            <div class="col-sm-10 col-md-8 col-lg-10 col-xs-12">
                {#{{ form_widget(poForm.icouleur, {'attr': {'class': 'form-control'}}) }}#}
                <input type='text' id="icouleur_spectrum"/>
                <input type='hidden' class="form-control" name="fEntityForm_groupes[icouleur]" id="fEntityForm_groupes_icouleur"
{# LG 20200824 old                               value="{{ poForm.vars.value.icouleur }}"/> #}
                       value="{{ (poForm.vars.value.icouleur is defined) ? poForm.vars.value.icouleur : "" }}"/>
                {% do poForm.icouleur.setRendered %}
                <script>
                   LGSpectrum("#icouleur_spectrum","#fEntityForm_groupes_icouleur",function(color) {
                                                    var colorRGB = color.toRgb() ;
                                                    var colorI = RGB(colorRGB.r, colorRGB.g, colorRGB.b)
                                                    $("#fEntityForm_groupes_icouleur").val(colorI);
                                            });
                </script>
            </div>
        </div>
    {% endif %}

</div>  
<div class="LesChamps card">
    <div class="d-flex justify-content-around flex-wrap">
        {% if poForm.ireferent is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {# Génération du label. #}
                {{ form_label(poForm.ireferent, "Référent 1", {'label_attr': {'class': ' m-0 mr-3 control-label'}}) }}

                <div class="col-sm-10 col-md-8 col-lg-10 col-xs-12">
                    {{ form_widget(poForm.ireferent, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
                </div>
            </div>
        {% endif %}

        {% if poForm.ireferent2 is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {# Génération du label. #}
                {{ form_label(poForm.ireferent2, "Référents 2", {'label_attr': {'class': ' m-0 mr-3 control-label'}}) }}

                <div class="col-sm-10 col-md-8 col-lg-10 col-xs-12">
                    {{ form_widget(poForm.ireferent2, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
                </div>
            </div>
        {% endif %}
    </div>
    <div class="d-flex justify-content-around flex-wrap">
        {% if poForm.ireferent3 is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {# Génération du label. #}
                {{ form_label(poForm.ireferent3, "Référents 3 ", {'label_attr': {'class': ' m-0 mr-3 control-label'}}) }}

                <div class="col-sm-10 col-md-8 col-lg-10 col-xs-12">
                    {{ form_widget(poForm.ireferent3, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
                </div>
            </div>
        {% endif %}

        {% if poForm.ireferent4 is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {# Génération du label. #}
                {{ form_label(poForm.ireferent4, "Référents 4 ", {'label_attr': {'class': ' m-0 mr-3 control-label'}}) }}

                <div class="col-sm-10 col-md-8 col-lg-10 col-xs-12">
                    {{ form_widget(poForm.ireferent4, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
                </div>
            </div>
        {% endif %}
    </div>
        {% if poForm.ireferent5 is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {# Génération du label. #}
                {{ form_label(poForm.ireferent5, "Référents 5 ", {'label_attr': {'class': ' m-0 mr-3 control-label'}}) }}

                <div class="col-sm-10 col-md-8 col-lg-10 col-xs-12">
                    {{ form_widget(poForm.ireferent5, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
                </div>
            </div>
        {% endif %}
    
</div>
{#MC 20200914 FIN#}
<div class="LesChamps card">
    <div class="d-flex justify-content-around flex-wrap">
{#        MC 20200914 DEBUT#}
        {% if poForm.cchamplibre1 is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {# Génération du label. #}
                {{ form_label(poForm.cchamplibre1, "Champ libre 1 ", {'label_attr': {'class': ' m-0 mr-3 control-label'}}) }}

                <div class="col-sm-10 col-md-8 col-lg-10 col-xs-12">
                    {{ form_widget(poForm.cchamplibre1, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
                </div>
            </div>
        {% endif %}
        {#MC 20200914 FIN#}
        {% if poForm.cchamplibre2 is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {# Génération du label. #}
                {{ form_label(poForm.cchamplibre2, "Champ libre 2 ", {'label_attr': {'class': ' m-0 mr-3 control-label'}}) }}

                <div class="col-sm-10 col-md-8 col-lg-10 col-xs-12">
                    {{ form_widget(poForm.cchamplibre2, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
                </div>
            </div>
        {% endif %}
    </div>
    <div class="d-flex justify-content-around flex-wrap">
        {% if poForm.cchamplibre3 is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {# Génération du label. #}
                {{ form_label(poForm.cchamplibre3, "Champ libre 3 ", {'label_attr': {'class': ' m-0 mr-3 control-label'}}) }}

                <div class="col-sm-10 col-md-8 col-lg-10 col-xs-12">
                    {{ form_widget(poForm.cchamplibre3, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
                </div>
            </div>
        {% endif %}
        {% if poForm.cchamplibre4 is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {# Génération du label. #}
                {{ form_label(poForm.cchamplibre4, "Champ libre 4 ", {'label_attr': {'class': ' m-0 mr-3 control-label'}}) }}

                <div class="col-sm-10 col-md-8 col-lg-10 col-xs-12">
                    {{ form_widget(poForm.cchamplibre4, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
                </div>
            </div>
        {% endif %}
    </div>
    <div class="d-flex justify-content-around flex-wrap">
        {% if poForm.cchamplibre5 is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {# Génération du label. #}
                {{ form_label(poForm.cchamplibre5, "Champ libre 5 ", {'label_attr': {'class': ' m-0 mr-3 control-label'}}) }}

                <div class="col-sm-10 col-md-8 col-lg-10 col-xs-12">
                    {{ form_widget(poForm.cchamplibre5, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
                </div>
            </div>
        {% endif %}
{#  MC 20200914 DEBUT#}
        {% if poForm.cchamplibre6 is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {# Génération du label. #}
                {{ form_label(poForm.cchamplibre6, "Champ libre 6 ", {'label_attr': {'class': ' m-0 mr-3 control-label'}}) }}

                <div class="col-sm-10 col-md-8 col-lg-10 col-xs-12">
                    {{ form_widget(poForm.cchamplibre6, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
                </div>
            </div>
        {% endif %}
    </div>
    <div class="d-flex justify-content-around flex-wrap">
        {% if poForm.cchamplibre7 is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {# Génération du label. #}
                {{ form_label(poForm.cchamplibre7, "Champ libre 7 ", {'label_attr': {'class': ' m-0 mr-3 control-label'}}) }}

                <div class="col-sm-10 col-md-8 col-lg-10 col-xs-12">
                    {{ form_widget(poForm.cchamplibre7, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
                </div>
            </div>
        {% endif %}
        {% if poForm.cchamplibre8 is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {# Génération du label. #}
                {{ form_label(poForm.cchamplibre8, "Champ libre 8 ", {'label_attr': {'class': ' m-0 mr-3 control-label'}}) }}

                <div class="col-sm-10 col-md-8 col-lg-10 col-xs-12">
                    {{ form_widget(poForm.cchamplibre8, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
                </div>
            </div>
        {% endif %}
    </div>
    <div class="d-flex justify-content-around flex-wrap">
        {% if poForm.cchamplibre9 is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {# Génération du label. #}
                {{ form_label(poForm.cchamplibre9, "Champ libre 9 ", {'label_attr': {'class': ' m-0 mr-3 control-label'}}) }}

                <div class="col-sm-10 col-md-8 col-lg-10 col-xs-12">
                    {{ form_widget(poForm.cchamplibre9, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
                </div>
            </div>
        {% endif %}
        {% if poForm.cchamplibre10 is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {# Génération du label. #}
                {{ form_label(poForm.cchamplibre10, "Champ libre 10", {'label_attr': {'class': ' m-0 mr-3 control-label'}}) }}

                <div class="col-sm-10 col-md-8 col-lg-10 col-xs-12">
                    {{ form_widget(poForm.cchamplibre10, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
                </div>
            </div>
        {% endif %}
    </div>
    
</div>
    
{#MC 20200914 FIN#}
    
<div class="LesChamps">
        
    <div class="">
    {% if poForm.mcommentaire is defined %}
        <div class="form-group col-sm-12 p-2 m-0 ">
            {# Génération du label. #}
            {{ form_label(poForm.mcommentaire, "Commentaire ", {'label_attr': {'class': ' mt-3 mb-3 control-label'}}) }}

            <div class="col-sm-12">
                {{ form_widget(poForm.mcommentaire, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
            </div>
        </div>      
    {% endif %}
 
    </div>
    
</div>



{% endblock %}
